signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
MountHandler Class Reference

Handles mounting and unmounting of file systems. More...

`#include <crypto-handlers.h>`

## Static Public Member Functions
static bool | mount (const QString &source, const QString &target, const QString &fileSystemType=QLatin1String("ext2"))
| Mounts a block device to a specific location. More...
static bool | umount (const QString &target)
| Unmounts a block device from a specific location. More...

## Detailed Description

Handles mounting and unmounting of file systems.

Definition at line 128 of file crypto-handlers.h.

## Member Function Documentation

bool MountHandler::mount | ( | const QString & | source,
|  | const QString & | target,
|  | const QString & | fileSystemType = `QLatin1String("ext2")`
| ) |  |
| static

Mounts a block device to a specific location.

Parameters

  toMount | File system to be mounted.
  mounthPath | Path to where the file system will be mounted.
  fileSystemType | The type of the file system to be mounted.

Returns
  true upon success, false otherwise.

Definition at line 162 of file crypto-handlers.cpp.

bool MountHandler::umount | ( | const QString & | target | ) |
| static

Unmounts a block device from a specific location.

Parameters

  mounthPath | Path of the file system to be unmounted.

Returns
  true upon success, false otherwise.

Definition at line 173 of file crypto-handlers.cpp.

References TRACE.

The documentation for this class was generated from the following files:

- src/extensions/cryptsetup/crypto-handlers.h
- src/extensions/cryptsetup/crypto-handlers.cpp